function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import { action } from '@storybook/addon-actions';
import { add, isSameWeek } from 'date-fns';
import { IntlProvider } from 'react-intl';
import DatePicker from '.';
import { Button } from '../../..';
export default {
  title: 'Molecules / DatePicker / Regular DatePicker ',
  parameters: {
    component: DatePicker
  }
};
var dateNow = new Date();
export var Default = function Default() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "input-id",
    label: "Default",
    onChange: action('onChange')
  }), ";");
};
export var SameWeekDisabled = function SameWeekDisabled() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "disable-dates-input",
    label: "Disabled dates on same week",
    disableDate: function disableDate(date) {
      return isSameWeek(dateNow, date);
    },
    onChange: action('onChange')
  }));
};
export var SameWeekEnabled = function SameWeekEnabled() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "enable-dates-input",
    label: "Enabled dates on same week",
    enableDate: function enableDate(date) {
      return isSameWeek(dateNow, date);
    },
    onChange: action('onChange')
  }));
};
export var Controlled = function Controlled() {
  var _useState = useState(new Date('01/01/2021')),
    _useState2 = _slicedToArray(_useState, 2),
    date = _useState2[0],
    setDate = _useState2[1];
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(Button, {
    onClick: function onClick() {
      return setDate(add(date, {
        days: 1
      }));
    }
  }, "Next date"), React.createElement(DatePicker, {
    id: "controlled",
    label: "Label",
    selectedDate: date,
    onChange: function onChange(selectedDate) {
      setDate(selectedDate);
      action('onChange');
    }
  }));
};
export var DisabledInput = function DisabledInput() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "disabled-input",
    label: "Label",
    disabled: true
  }), ";");
};
export var WithErrorMessage = function WithErrorMessage() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "with-error-message",
    label: "Show error message when typing invalid dates",
    enableDate: function enableDate(date) {
      return isSameWeek(dateNow, date);
    },
    onChange: action('onChange'),
    errorMessage: "Please choose a valid date"
  }));
};
export var FullWidthInput = function FullWidthInput() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "full-width-input",
    label: "Label",
    width: "100%"
  }), ";");
};
export var AllowUpdateWhileTyping = function AllowUpdateWhileTyping() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "disabled-input",
    allowDateUpdateOnType: true,
    label: "Allow update while typing"
  }), ";");
};
export var FullscreenOnMobile = function FullscreenOnMobile() {
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(DatePicker, {
    id: "date-picker-with-fullscreen-on-mobile-behavior",
    label: "Fullscreen on mobile",
    onChange: action('onChange regular'),
    fullscreenOnMobile: true,
    fullscreenProps: {
      title: 'Select a date',
      confirmButtonLabel: 'OK',
      clearButtonLabel: 'Clear date',
      dateLabel: 'Pick a date'
    }
  }));
};